Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLTableCellElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLTableCellElementImpl

public class HTMLTableCellElementImpl
extends HTMLElementImpl
implements HTMLTableCellElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:58:04 $
Author:
  Assaf Arkin
See Also:
  `HTMLTableCellElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableCellElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAbbr()` Abbreviation for header cells.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cell.
`java.lang.String` | `getAxis()` Names group of related headers.
`java.lang.String` | `getBgColor()` Cell background color.
`int` | `getCellIndex()` The index of this cell in the row, starting from 0.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`int` | `getColSpan()` Number of columns spanned by cell.
`java.lang.String` | `getHeaders()` List of `id` attribute values for header cells.
`java.lang.String` | `getHeight()` Cell height.
`boolean` | `getNoWrap()` Suppress word wrapping.
`int` | `getRowSpan()` Number of rows spanned by cell.
`java.lang.String` | `getScope()` Scope covered by header cells.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cell.
`java.lang.String` | `getWidth()` Cell width.
`void` | `setAbbr(java.lang.String abbr)`
`void` | `setAlign(java.lang.String align)`
`void` | `setAxis(java.lang.String axis)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setCellIndex(int cellIndex)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setColSpan(int colspan)`
`void` | `setHeaders(java.lang.String headers)`
`void` | `setHeight(java.lang.String height)`
`void` | `setNoWrap(boolean noWrap)`
`void` | `setRowSpan(int rowspan)`
`void` | `setScope(java.lang.String scope)`
`void` | `setVAlign(java.lang.String vAlign)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableCellElementImpl

    public HTMLTableCellElementImpl(HTMLDocumentImpl owner,
                                    java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCellIndex

    public int getCellIndex()

  Description copied from interface: HTMLTableCellElement
  The index of this cell in the row, starting from 0. This index is in document tree order and not display order.
  Specified by:
    getCellIndex in interface HTMLTableCellElement

### setCellIndex

    public void setCellIndex(int cellIndex)

### getAbbr

    public java.lang.String getAbbr()

  Description copied from interface: HTMLTableCellElement
  Abbreviation for header cells. See the abbr attribute definition in HTML 4.0.
  Specified by:
    getAbbr in interface HTMLTableCellElement

### setAbbr

    public void setAbbr(java.lang.String abbr)

  Specified by:
    setAbbr in interface HTMLTableCellElement

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: HTMLTableCellElement
  Horizontal alignment of data in cell. See the align attribute definition in HTML 4.0.
  Specified by:
    getAlign in interface HTMLTableCellElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface HTMLTableCellElement

### getAxis

    public java.lang.String getAxis()

  Description copied from interface: HTMLTableCellElement
  Names group of related headers. See the axis attribute definition in HTML 4.0.
  Specified by:
    getAxis in interface HTMLTableCellElement

### setAxis

    public void setAxis(java.lang.String axis)

  Specified by:
    setAxis in interface HTMLTableCellElement

### getBgColor

    public java.lang.String getBgColor()

  Description copied from interface: HTMLTableCellElement
  Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getBgColor in interface HTMLTableCellElement

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    setBgColor in interface HTMLTableCellElement

### getCh

    public java.lang.String getCh()

  Description copied from interface: HTMLTableCellElement
  Alignment character for cells in a column. See the char attribute definition in HTML 4.0.
  Specified by:
    getCh in interface HTMLTableCellElement

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    setCh in interface HTMLTableCellElement

### getChOff

    public java.lang.String getChOff()

  Description copied from interface: HTMLTableCellElement
  Offset of alignment character. See the charoff attribute definition in HTML 4.0.
  Specified by:
    getChOff in interface HTMLTableCellElement

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    setChOff in interface HTMLTableCellElement

### getColSpan

    public int getColSpan()

  Description copied from interface: HTMLTableCellElement
  Number of columns spanned by cell. See the colspan attribute definition in HTML 4.0.
  Specified by:
    getColSpan in interface HTMLTableCellElement

### setColSpan

    public void setColSpan(int colspan)

  Specified by:
    setColSpan in interface HTMLTableCellElement

### getHeaders

    public java.lang.String getHeaders()

  Description copied from interface: HTMLTableCellElement
  List of `id` attribute values for header cells. See the headers attribute definition in HTML 4.0.
  Specified by:
    getHeaders in interface HTMLTableCellElement

### setHeaders

    public void setHeaders(java.lang.String headers)

  Specified by:
    setHeaders in interface HTMLTableCellElement

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: HTMLTableCellElement
  Cell height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getHeight in interface HTMLTableCellElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface HTMLTableCellElement

### getNoWrap

    public boolean getNoWrap()

  Description copied from interface: HTMLTableCellElement
  Suppress word wrapping. See the nowrap attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getNoWrap in interface HTMLTableCellElement

### setNoWrap

    public void setNoWrap(boolean noWrap)

  Specified by:
    setNoWrap in interface HTMLTableCellElement

### getRowSpan

    public int getRowSpan()

  Description copied from interface: HTMLTableCellElement
  Number of rows spanned by cell. See the rowspan attribute definition in HTML 4.0.
  Specified by:
    getRowSpan in interface HTMLTableCellElement

### setRowSpan

    public void setRowSpan(int rowspan)

  Specified by:
    setRowSpan in interface HTMLTableCellElement

### getScope

    public java.lang.String getScope()

  Description copied from interface: HTMLTableCellElement
  Scope covered by header cells. See the scope attribute definition in HTML 4.0.
  Specified by:
    getScope in interface HTMLTableCellElement

### setScope

    public void setScope(java.lang.String scope)

  Specified by:
    setScope in interface HTMLTableCellElement

### getVAlign

    public java.lang.String getVAlign()

  Description copied from interface: HTMLTableCellElement
  Vertical alignment of data in cell. See the valign attribute definition in HTML 4.0.
  Specified by:
    getVAlign in interface HTMLTableCellElement

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    setVAlign in interface HTMLTableCellElement

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: HTMLTableCellElement
  Cell width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getWidth in interface HTMLTableCellElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface HTMLTableCellElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.